org.apache.ignite.visor.plugin

## Class VisorPluggableTab

- java.lang.Object
- - org.apache.ignite.visor.plugin.VisorExtensionPoint
  - - org.apache.ignite.visor.plugin.VisorPluggableTab

- All Implemented Interfaces:
    ro.fortsoft.pf4j.ExtensionPoint

      public abstract class VisorPluggableTab
      extends VisorExtensionPoint

  Abstract base class for Visor pluggable tabs.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `VisorPluggableTab(VisorPluginModel model)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract JPanel` | `createPanel(VisorPluginComponentsFactory componentsFactory, JPanel dfltTabBtn)` Construct content of pluggable tab.
    `abstract ImageIcon` | `icon()` Tab and menu icon 16x16 px.
    `void` | `onClosed()` Will be executed on tab close.
    `abstract String` | `tooltip()` Tab tooltip.

    - ### Methods inherited from class org.apache.ignite.visor.plugin.VisorExtensionPoint

      `model, name, onConnected, onDisconnected, onEventsChanged, onModelChanged`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VisorPluggableTab

          protected VisorPluggableTab(VisorPluginModel model)

      Parameters:
        `model` - Visor model.

  - ### Method Detail

    - #### icon

          public abstract ImageIcon icon()

      Tab and menu icon 16x16 px.
      Returns:
        Plugin icon.

    - #### tooltip

          public abstract String tooltip()

      Tab tooltip.
      Returns:
        Tooltip.

    - #### createPanel

          public abstract JPanel createPanel(VisorPluginComponentsFactory componentsFactory,
                                             JPanel dfltTabBtn)

      Construct content of pluggable tab.
      Parameters:
        `componentsFactory` - Factory for creating ready UI blocks, like nodes panel and charts.
        `dfltTabBtn` - Panel with standart tab buttons.
      Returns:
        Pluggable tab content.

    - #### onClosed

          public void onClosed()

      Will be executed on tab close.

2022 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.12.0
Release Date | : January 10 2022